#ifndef VECTOR_H
#define VECTOR_H
#include <iostream>

using namespace std;

struct Node {
	int index;
	double data;
	struct Node * next;
};

class Vector {
	int size;
	Node *head;
public:
	Vector(int size=0); 
	Vector(Vector &);
	~Vector();
	int get_size();
	void set_size(int);
	double read_element(int);
	void write_element(int,double);
	double &operator[](int);
	Vector & operator=(Vector &);
	friend ostream& operator<<(ostream &, Vector &);
};

#endif
